# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename grunt-contrib-copy

Name:               nodejs-grunt-contrib-copy
Version:            0.8.2
Release:            1%{?dist}
Summary:            Copy files and folders

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/grunt-contrib-copy
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
# https://raw.githubusercontent.com/gruntjs/grunt-contrib-copy/master/LICENSE-MIT
Source1:            LICENSE-MIT
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:      nodejs-packaging >= 6

Requires:           npm(grunt)

%if 0%{?enable_tests}
BuildRequires:      npm(grunt-contrib-nodeunit)
BuildRequires:      npm(grunt-contrib-jshint)
BuildRequires:      npm(grunt)
BuildRequires:      npm(grunt-contrib-internal)
BuildRequires:      npm(grunt-contrib-clean)
%endif


%description
Copy files and folders.

%prep
%setup -q -n package

cp %{SOURCE1} .

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-copy
cp -pr package.json tasks \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-copy

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt test
%endif

%files
%license LICENSE-MIT
%doc README.md CHANGELOG
%{nodejs_sitelib}/grunt-contrib-copy/

%changelog
* Mon Jan 04 2016 Troy Dawson <tdawson@redhat.com> - 0.8.2-1
- Update to new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- new version

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- new version
- License file removed from upstream (and upstream is hostile to including it).

* Mon Jul 21 2014 Ralph Bean <rbean@redhat.com> - 0.5.0-2
- Specify noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 0.5.0-1
- Initial packaging for Fedora.
